## org.exist.ant
Class BackupTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.BackupTask

public class BackupTask
extends AbstractXMLDBTask

Author:
  wolf

Constructor Summary
`BackupTask()`

Method Summary
`void` `execute()`
`void` `setDir(java.lang.String dir)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackupTask

    public BackupTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setDir

    public void setDir(java.lang.String dir)

  Parameters:
    `dir` -

Copyright (C) Wolfgang Meier. All rights reserved.